---
navigation.icon: uil:play-circle
---

# Installation

Get started with Nuxt quickly with our online starters or start locally with your terminal.

## Play Online

You can start playing with Nuxt 3 in your browser using our online sandboxes:

:button-link[Play on StackBlitz]{href="https://nuxt.new/s/v3" blank .mr-2}
:button-link[Play on CodeSandbox]{href="https://nuxt.new/c/v3" blank}

Start with one of our starters and themes directly by opening [nuxt.new](https://nuxt.new).

:button-link[Discover nuxt.new]{href="https://nuxt.new" blank}

## New Project

<!-- TODO: need to fix upstream in nuxt/nuxt.com -->
<!-- markdownlint-disable-next-line MD001 -->
#### Prerequisites

- **Node.js** - [`v16.10.0`](https://nodejs.org/en/) or newer
- **Text editor** - We recommend [Visual Studio Code](https://code.visualstudio.com/) with the [Volar Extension](https://marketplace.visualstudio.com/items?itemName=Vue.volar)
- **Terminal** - In order to run Nuxt commands

::alert
::details
:summary[Additional notes for an optimal setup:]
- **Node.js**: Make sure to use an even numbered version (18, 20, etc)
- **Nuxtr**: Install the community-developed [Nuxtr extension](https://marketplace.visualstudio.com/items?itemName=Nuxtr.nuxtr-vscode)
- **Volar**: Either enable [**Take Over Mode**](https://vuejs.org/guide/typescript/overview.html#volar-takeover-mode) (recommended) or add the [TypeScript Vue Plugin](https://marketplace.visualstudio.com/items?itemName=Vue.vscode-typescript-vue-plugin)

If you have enabled **Take Over Mode** or installed the **TypeScript Vue Plugin (Volar)**, you can disable generating the shim for `*.vue` files in your [`nuxt.config.ts`](/docs/guide/directory-structure/nuxt.config) file:

```ts [nuxt.config.ts]
export default defineNuxtConfig({
  typescript: {
    shim: false
  }
})
```

::
::

Open a terminal (if you're using [Visual Studio Code](https://code.visualstudio.com/), you can open an [integrated terminal](https://code.visualstudio.com/docs/editor/integrated-terminal)) and use the following command to create a new starter project:

::code-group

```bash [npx]
npx nuxi@latest init <project-name>
```

```bash [pnpm]
pnpm dlx nuxi@latest init <project-name>
```

```bash [bun]
bunx nuxi@latest init <project-name>
```

::

Open your project folder in Visual Studio Code:

```bash
code <project-name>
```

Install the dependencies:

::code-group

```bash [yarn]
yarn install
```

```bash [npm]
npm install
```

```bash [pnpm]
# Make sure you have `shamefully-hoist=true` in `.npmrc` before running pnpm install
pnpm install
```

```bash [bun]
bun install
```

::

## Development Server

Now you'll be able to start your Nuxt app in development mode:

::code-group

```bash [yarn]
yarn dev -o
```

```bash [npm]
npm run dev -- -o
```

```bash [pnpm]
pnpm dev -o
```

```bash [bun]
bun run dev -o
```

::

::alert{type=success icon=✨ .font-bold}
Well done! A browser window should automatically open for <http://localhost:3000>.
::

## Next Steps

Now that you've created your Nuxt 3 project, you are ready to start building your application.

- Learn about the framework [concepts](/docs/guide/concepts/auto-imports)
