---
navigation.icon: uil:directions
---

# Roadmap

Nuxt is constantly evolving, with new features and modules being added all the time.

See [our blog](/blog) for the latest framework and ecosystem announcements.

## 📝 Status Reports

- [Documentation Progress](https://github.com/nuxt/nuxt/issues/13653)
- [Rendering Optimizations: Today and Tomorrow](https://github.com/nuxt/nuxt/discussions/16119)
- [Nuxt Image: Performance and Status](https://github.com/nuxt/nuxt/discussions/16119)

### Release Cycle

Since January 2023, we've adopted a consistent release cycle for **Nuxt 3**, following [semver](https://semver.org/). We aim for major framework releases every year, with an expectation of patch releases every week or so and minor releases every month or so. They should never contain breaking changes except within options clearly marked as `experimental`.

### Current Packages

The current active version of [Nuxt](https://nuxt.com) is **v3** which is available as `nuxt` on npm with the `latest` tag.

Nuxt 2 is in maintenance mode and is available on npm with the `2x` tag. It will reach End of Life (EOL) on December 31st, 2023 at the same time as Vue 2 does.

Each version has its own edge releases which are generated automatically. For more about enabling the Nuxt 3 edge channel, see [the edge channel docs](/docs/guide/going-further/edge-channel/).

Release  | npm | Status      | Last Release | Docs |  Repository
---------|----|---------|--------------|------|-----------------
Nuxt 3.x | [`nuxt`](https://npmjs.com/package/nuxt) | Stable        | <a href="https://npmjs.com/package/nuxt"><img src="https://flat.badgen.net/npm/v/nuxt"></a>       | [3.x docs](https://nuxt.com/docs/) | [nuxt/nuxt](https://github.com/nuxt/nuxt)
Nuxt 3.x (edge*) | [`nuxt3`](https://npmjs.com/package/nuxt3) | Development        | <a href="https://npmjs.com/package/nuxt3"><img src="https://flat.badgen.net/npm/v/nuxt3"></a>       | [3.x docs](https://nuxt.com/) | [nuxt/nuxt](https://github.com/nuxt/nuxt)
Nuxt 2.x | [`nuxt`](https://npmjs.com/package/nuxt)  | Maintenance | <a href="https://npmjs.com/package/nuxt"><img src="https://flat.badgen.net/npm/v/nuxt/2x"></a>   | [2.x docs](https://nuxtjs.org/docs) | [nuxt/nuxt#2.x](https://github.com/nuxt/nuxt/tree/2.x)
Nuxt 2.x (edge*) | [`nuxt-edge`](https://npmjs.com/package/nuxt-edge) | Maintenance | <a href="https://npmjs.com/package/nuxt-edge"><img src="https://flat.badgen.net/npm/v/nuxt-edge"></a>      | [2.x docs](https://nuxtjs.org/docs) | [nuxt/nuxt](https://github.com/nuxt/nuxt/tree/2.x)

## 🛣️ Roadmap

In roadmap below are the major expected features that are coming soon with Nuxt 3.

💡 Check [Discussions](https://github.com/nuxt/nuxt/discussions) and [RFCs](https://github.com/nuxt/nuxt/discussions/categories/rfcs) for more upcoming features and ideas.

Milestone    | Expected date | Notes  | Description
-------------|------------------|--------|-----------------------
Image        | 2023       | [nuxt/image#548](https://github.com/nuxt/image/discussions/548) | Stable image optimization for Nuxt 3
SEO & PWA    | 2023       | [nuxt/nuxt#18395](https://github.com/nuxt/nuxt/discussions/18395) | Migrating from [nuxt-community/pwa-module](https://github.com/nuxt-community/pwa-module) for built-in SEO utils and service worker support
DevTools     | 2023       | - | Integrated and modular devtools experience for Nuxt
Scripts      | 2023       | [nuxt/nuxt#16119](https://github.com/nuxt/nuxt/discussions/)      | Easy 3rd party script management.
Translations | -          | [nuxt/translations#4](https://github.com/nuxt/translations/discussions/4) ([request access](https://github.com/nuxt/nuxt/discussions/16054)) | A collaborative project for a stable translation process for Nuxt 3 docs. Currently pending for ideas and documentation tooling support (content v2 with remote sources).

## 📦 Core Modules

In addition to the Nuxt framework, there are modules that are vital for the ecosystem. Their status will be updated below.

Module         | Status              | Nuxt Support | Repository | Description
---------------|---------------------|--------------|------------|-------------------
Content        | Active              | 3.x          | [nuxt/content](https://github.com/nuxt/content) | Released
Auth           | Planned             | 3.x          | `nuxt/auth` to be announced | Nuxt 3 support is planned after session support
Image          | Active              | 2.x and 3.x  | [nuxt/image](https://github.com/nuxt/image) | Nuxt 3 support is in progress: [nuxt/image#548](https://github.com/nuxt/image/discussions/548)
Telemetry      | Active              | 2.x and 3.x  | [nuxt/telemetry](https://github.com/nuxt/telemetry/) | Nuxt 3 is supported. Stats to be public soon!
I18n           | Active              | 2.x and 3.x  | [nuxt-modules/i18n](https://github.com/nuxt-modules/i18n) | See [nuxt-modules/i18n#1287](https://github.com/nuxt-modules/i18n/discussions/1287) for Nuxt 3 support
